org.eclipse.rdf4j.repository.http.config

## Class HTTPRepositoryConfig

- java.lang.Object
- - org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig
  - - org.eclipse.rdf4j.repository.http.config.HTTPRepositoryConfig

- All Implemented Interfaces:
    RepositoryImplConfig

      public class HTTPRepositoryConfig
      extends AbstractRepositoryImplConfig

  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPRepositoryConfig()`
    `HTTPRepositoryConfig(String url)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `export(Model graph)` Export this `RepositoryImplConfig` to its RDF representation
    `String` | `getPassword()`
    `String` | `getURL()`
    `String` | `getUsername()`
    `void` | `parse(Model model, Resource implNode)` Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
    `void` | `setPassword(String password)`
    `void` | `setURL(String url)`
    `void` | `setUsername(String username)`
    `void` | `validate()` Validates this configuration.

    - ### Methods inherited from class org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig

      `create, getType, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPRepositoryConfig

          public HTTPRepositoryConfig()

    - #### HTTPRepositoryConfig

          public HTTPRepositoryConfig(String url)

  - ### Method Detail

    - #### getURL

          public String getURL()

    - #### setURL

          public void setURL(String url)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### validate

          public void validate()
                        throws RepositoryConfigException

      Description copied from interface: `RepositoryImplConfig`
      Validates this configuration. A `RepositoryConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Specified by:
        `validate` in interface `RepositoryImplConfig`
      Overrides:
        `validate` in class `AbstractRepositoryImplConfig`
      Throws:
        `RepositoryConfigException` - If the configuration is invalid.

    - #### export

          public Resource export(Model graph)

      Description copied from interface: `RepositoryImplConfig`
      Export this `RepositoryImplConfig` to its RDF representation
      Specified by:
        `export` in interface `RepositoryImplConfig`
      Overrides:
        `export` in class `AbstractRepositoryImplConfig`
      Parameters:
        `graph` - a `Model` object. After successful completion of this method this Model will contain the RDF representation of this `RepositoryImplConfig`.
      Returns:
        the subject `Resource` that identifies this `RepositoryImplConfig` in the Model.

    - #### parse

          public void parse(Model model,
                            Resource implNode)
                     throws RepositoryConfigException

      Description copied from interface: `RepositoryImplConfig`
      Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
      Specified by:
        `parse` in interface `RepositoryImplConfig`
      Overrides:
        `parse` in class `AbstractRepositoryImplConfig`
      Parameters:
        `model` - a `Model` containing repository configuration data.
        `implNode` - the subject `Resource` that identifies the `RepositoryImplConfig` in the Model.
      Throws:
        `RepositoryConfigException` - if the configuration data could not be read from the supplied Model.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.